#define MAXPANELS	50
#define MAXBUTTONS	50

#define ext(c)		((c)+256)
#define ctl(c)		((c)-'@')

typedef struct panel {
	int	x, y, dx, dy;
	void	(*enter)(), (*leave)();
} PANEL;

typedef struct button {
	int	x, y, dx, dy;
	int	key, rpt, right;
} BUTTON;

#ifdef EXTERN
extern PANEL	_panels[MAXPANELS];
extern BUTTON	_buttons[MAXBUTTONS];
#else
PANEL	_panels[MAXPANELS];
BUTTON	_buttons[MAXBUTTONS];
#endif

extern int	_mouse_installed;
extern int	_mouse_delay;
extern void	(*dfl_event)();
extern void	(*timer_event)();

void	mouse_on(void);
void	mouse_off(void);
void	clearpanels(void);
int	addpanel(int x, int y, int dx, int dy, void (*enter)(), void (*leave)());
void	clearbuttons(void);
int	addbutton(int x, int y, int dx, int dy, int key, int rpt, int right);
int	getevent(void);
